#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	swell-foop
Version		:	3.34.1
Release		:	16.2.1.rel%{?dist}
Summary		:	A puzzle game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://download.gnome.org/sources/swell-foop/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	clutter-gtk
BuildRequires	:	gdk-pixbuf
BuildRequires	:	itstool
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala

Requires	:	gdk-pixbuf
Requires	:	pkgconfig(librsvg-2.0)
Requires	:	glib

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
'%{name}' is a puzzle game, previously known as Same GNOME.
The goal is to remove the objects in as few moves as possible.
Similar objects that are adjacent to each other are removed as
a group. The remaining objects then collapse to fill in the
gaps and new groups are formed. You cannot remove single objects. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SwellFoop.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.swell-foop.gschema.xml
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/icons/hicolor/*/apps/org.gnome.SwellFoop.png
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SwellFoop-symbolic.svg
%{_datadir}/%{name}/preferences.ui
%{_datadir}/%{name}/%{name}.css
%{_datadir}/%{name}/themes/{colors,shapesandcolors}/*.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/metainfo/org.gnome.SwellFoop.appdata.xml

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/gdk-pixbuf-query-loaders --update-cache
  fi

#=============================================================================
%prep
%setup -q
%autosetup -p1

#to adjust code to vala-0.50.2
sed -i							\
  -e "s/string\[4\]/string\[\]/"			\
  src/game-view.vala

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja -v -k1 %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog

